Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
views_by_browser = client.streaming.statistics.get_views_by_browsers(
date_from="date_from",
date_to="date_to",
)
print(views_by_browser.data)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
viewsByBrowser, err := client.Streaming.Statistics.GetViewsByBrowsers(context.TODO(), streaming.StatisticGetViewsByBrowsersParams{
DateFrom: "date_from",
DateTo: "date_to",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", viewsByBrowser.Data)
}
curl --request GET \
--url https://api.gcore.com/streaming/statistics/browsers \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/streaming/statistics/browsers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"views": 100500,
"browser": "Chrome Mobile iOS"
},
{
"views": 3000,
"browser": "Mobile Safari"
}
]
}{
"data": [],
"errors": [
"from: query param is not set"
]
}{
"data": [],
"errors": [
"internal server error"
]
}Statistics
Get browsers in built-in player
Aggregates the number of views for all client videos, grouping them by browsers in the built-in player.
Note. This method operates only on data collected by the built-in HTML player. It will not show statistics if you are using another player or viewing in native OS players through direct .m3u8/.mpd/.mp4 links. For such cases, use calculations through CDN (look at method /statistics/cdn/uniqs) or statistics of the players you have chosen.
GET
/
streaming
/
statistics
/
browsers
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
views_by_browser = client.streaming.statistics.get_views_by_browsers(
date_from="date_from",
date_to="date_to",
)
print(views_by_browser.data)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
"github.com/G-Core/gcore-go/streaming"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
viewsByBrowser, err := client.Streaming.Statistics.GetViewsByBrowsers(context.TODO(), streaming.StatisticGetViewsByBrowsersParams{
DateFrom: "date_from",
DateTo: "date_to",
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", viewsByBrowser.Data)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Start of time frame. Datetime in ISO 8601 format.
End of time frame. Datetime in ISO 8601 format.
Response
OK
Show child attributes
Show child attributes
Was this page helpful?